%define debug_package %{nil}

Name:	 	mono-ndoc
Version:	1.3.1
Release:	8%{?dist}
Summary:	Code Documentation Generator for .NET
URL:		http://ndoc.sourceforge.net/
License:	GPLv2+
Group:		System Environment/Libraries
Source0:	http://download.sourceforge.net/sourceforge/ndoc/ndoc-devel-v%{version}.zip
Source1:	ndoc.pc
Patch0:		mono-ndoc-1.3.1-nowarn.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	mono-devel, nant
BuildRequires:	unzip
# No nant on ppc/ppc64, no mono on sparc64
ExcludeArch:	ppc64 ppc sparc64

%description
NDoc generates class library documentation from .NET assemblies and the XML 
documentation files generated by the C# compiler. NDoc uses pluggable 
documenters to generate documentation in several different formats, including 
the MSDN-style HTML Help format (.chm), the Visual Studio .NET Help format 
(HTML Help 2), and MSDN-online style web pages.

%package devel
Summary:	Code Documentation Generator for .NET
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for mono-ndoc.

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%{__sed} -i 's/\r//' COPYING.txt
%{__sed} -i 's/\r//' README.txt

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk NDoc.snk
nant -t:mono-1.0
# This one gets far enough, before throwing an odd windows error.
nant -t:mono-1.0 sdkdoc ||:

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
cp -p %{S:1} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/mono/gac/
gacutil -i bin/mono/1.0/NDoc.Core.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.JavaDoc.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.Latex.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.LinearHtml.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.Msdn2.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.Msdn.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Documenter.Xml.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.ExtendedUI.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.Test.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDoc.VisualStudio.dll -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/mono/1.0/NDocConsole.exe -f -package ndoc -root ${RPM_BUILD_ROOT}/%{_libdir}

# Cleanup docs
%{__sed} -i 's/\r//' doc/sdk/ndoc.log
%{__sed} -i 's/\r//' doc/sdk/ndoc.js
%{__sed} -i 's/\r//' doc/sdk/ndoc.css
%{__sed} -i 's/\r//' doc/sdk/tree.css
%{__sed} -i 's/\r//' doc/sdk/MSDN.css
%{__sed} -i 's/\r//' doc/sdk/tree.js
iconv -f iso-8859-1 -t utf-8 -o doc/sdk/tree.js{.utf8,}
mv doc/sdk/tree.js{.utf8,}

# Sometimes this temp dir sticks around. We don't want it.
rm -rf doc/sdk/ndoc_msdn_temp

%clean
rm -rf -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.txt
%{_libdir}/mono/gac/NDoc*/
%{_libdir}/mono/ndoc

%files devel
%defattr(-,root,root,-)
%doc doc/sdk/
%{_libdir}/pkgconfig/ndoc.pc

%changelog
* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-8
- use the system mono.snk key instead of regenerating on every build

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 1.3.1-7
- ExcludeArch sparc64 no mono available

* Thu Jul 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-6
- rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-3
- rebuild against new mono bits

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-2
- disable debuginfo package
- cleanup leftover temp docdir
- add ppc (no nant) to ExcludeArch

* Thu Apr 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-1
- initial package for Fedora
